package com.muyu.mysql.confilg;

import com.muyu.mysql.MySqlConfig;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * mysql连接配置 MySqlConfilg
 *
 * @author LeYang
 * on 2024/5/10
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class MySqlConfilg {
    /**
     * id
     */
    private String id; /**
     * id
     */
    private String name;

    /**
     * 驱动
     */
    private String driverName;
    /**
     * url ip 端口 数据库名 编码
     */
    private String ip;
    private String port;
    private String databaseName;
    private String param;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 类型
     */
    private String type;

    /**
     * 密码
     */

    private String password;

    public String getUrl(){
        StringBuffer stringBuffer = new StringBuffer(MySqlConfig.MYSQLJDBCPRO);
        stringBuffer.append(this.ip);
        stringBuffer.append(":");
        stringBuffer.append(this.port);
        stringBuffer.append("/");
        stringBuffer.append(this.databaseName);
        stringBuffer.append("?");
        stringBuffer.append(this.param);


        return stringBuffer.toString();
    }
}
