package com.muyu.engine.client;

import com.muyu.common.core.domain.Result;
import com.muyu.engine.domain.RuleEngine;
import com.muyu.engine.remote.RuleEngineManangerService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;

import java.util.List;

/**
 * 初始化加载 EngClientRunner
 *
 * @author LeYang
 * on 2024/5/9
 */
@Log4j2
public class EngClientRunner implements ApplicationRunner {

   @Autowired
   private RuleEngineManangerService ruleEngineManangerService;;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        Result<List<RuleEngine>> listResult = ruleEngineManangerService.selectRuleEngine();
        System.out.println("sdsssssssssssssssssssssssss"+listResult.getData());

    }
}
