package com.muyu.mysql.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * mysql对象 Mysql
 *
 * @author LeYang
 * on 2024/5/10
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class Mysql {

    private String id;
    /** 接入源名称 */
    private String name;

    /** 数据来源系统名称 */
    private String systemName;

    /** 主机地址 */
    private String host;
    private String port;

    /** 用户名 */
    private String username;

    /** 密码 */
    private String password;

    /** 数据接入类型 */
    private String type;
    /** 数据库名称 */
    private String databaseName;

    /** 数据连接参数 */
    private String connectionParam;

}
